## NAS Operator Name indication NAS Operator Name indication |

## Functions

QmiIndicationNasOperatorNameOutput * | qmi_indication_nas_operator_name_output_ref ()
void | qmi_indication_nas_operator_name_output_unref ()
gboolean | qmi_indication_nas_operator_name_output_get_operator_nitz_information ()
gboolean | qmi_indication_nas_operator_name_output_get_operator_string_name ()
gboolean | qmi_indication_nas_operator_name_output_get_operator_plmn_name ()
gboolean | qmi_indication_nas_operator_name_output_get_operator_plmn_list ()
gboolean | qmi_indication_nas_operator_name_output_get_service_provider_name ()

## Types and Values

| QmiIndicationNasOperatorNameOutput
| QmiIndicationNasOperatorNameOutputOperatorPlmnNameElement
| QmiIndicationNasOperatorNameOutputOperatorPlmnListElement

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationNasOperatorNameOutput

## Description

## Functions

### qmi_indication_nas_operator_name_output_ref ()

    QmiIndicationNasOperatorNameOutput *
    qmi_indication_nas_operator_name_output_ref
                                   (QmiIndicationNasOperatorNameOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationNasOperatorNameOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_indication_nas_operator_name_output_unref ()

    void
    qmi_indication_nas_operator_name_output_unref
                                   (QmiIndicationNasOperatorNameOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationNasOperatorNameOutput. |

Since: 1.18

### qmi_indication_nas_operator_name_output_get_operator_nitz_information ()

    gboolean
    qmi_indication_nas_operator_name_output_get_operator_nitz_information
                                   (QmiIndicationNasOperatorNameOutput *self,
                                    QmiNasPlmnEncodingScheme *value_operator_nitz_information_name_encoding,
                                    QmiNasPlmnNameCountryInitials *value_operator_nitz_information_short_country_initials,
                                    QmiNasPlmnNameSpareBits *value_operator_nitz_information_long_name_spare_bits,
                                    QmiNasPlmnNameSpareBits *value_operator_nitz_information_short_name_spare_bits,
                                    const gchar **value_operator_nitz_information_long_name,
                                    const gchar **value_operator_nitz_information_short_name,
                                    GError **error);

Get the 'Operator NITZ Information' field from `self` .

#### Parameters

self | a QmiIndicationNasOperatorNameOutput. |
value_operator_nitz_information_name_encoding | a placeholder for the output QmiNasPlmnEncodingScheme, or `NULL` if not required. |
value_operator_nitz_information_short_country_initials | a placeholder for the output QmiNasPlmnNameCountryInitials, or `NULL` if not required. |
value_operator_nitz_information_long_name_spare_bits | a placeholder for the output QmiNasPlmnNameSpareBits, or `NULL` if not required. |
value_operator_nitz_information_short_name_spare_bits | a placeholder for the output QmiNasPlmnNameSpareBits, or `NULL` if not required. |
value_operator_nitz_information_long_name | a placeholder for the output constant string, or `NULL` if not required. |
value_operator_nitz_information_short_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_nas_operator_name_output_get_operator_string_name ()

    gboolean
    qmi_indication_nas_operator_name_output_get_operator_string_name
                                   (QmiIndicationNasOperatorNameOutput *self,
                                    const gchar **value_operator_string_name,
                                    GError **error);

Get the 'Operator String Name' field from `self` .

#### Parameters

self | a QmiIndicationNasOperatorNameOutput. |
value_operator_string_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_nas_operator_name_output_get_operator_plmn_name ()

    gboolean
    qmi_indication_nas_operator_name_output_get_operator_plmn_name
                                   (QmiIndicationNasOperatorNameOutput *self,
                                    GArray **value_operator_plmn_name,
                                    GError **error);

Get the 'Operator PLMN Name' field from `self` .

#### Parameters

self | a QmiIndicationNasOperatorNameOutput. |
value_operator_plmn_name | a placeholder for the output GArray of QmiIndicationNasOperatorNameOutputOperatorPlmnNameElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_nas_operator_name_output_get_operator_plmn_list ()

    gboolean
    qmi_indication_nas_operator_name_output_get_operator_plmn_list
                                   (QmiIndicationNasOperatorNameOutput *self,
                                    GArray **value_operator_plmn_list,
                                    GError **error);

Get the 'Operator PLMN List' field from `self` .

#### Parameters

self | a QmiIndicationNasOperatorNameOutput. |
value_operator_plmn_list | a placeholder for the output GArray of QmiIndicationNasOperatorNameOutputOperatorPlmnListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_nas_operator_name_output_get_service_provider_name ()

    gboolean
    qmi_indication_nas_operator_name_output_get_service_provider_name
                                   (QmiIndicationNasOperatorNameOutput *self,
                                    QmiNasNetworkNameDisplayCondition *value_service_provider_name_name_display_condition,
                                    const gchar **value_service_provider_name_name,
                                    GError **error);

Get the 'Service Provider Name' field from `self` .

#### Parameters

self | a QmiIndicationNasOperatorNameOutput. |
value_service_provider_name_name_display_condition | a placeholder for the output QmiNasNetworkNameDisplayCondition, or `NULL` if not required. |
value_service_provider_name_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

## Types and Values

### QmiIndicationNasOperatorNameOutput

    typedef struct _QmiIndicationNasOperatorNameOutput QmiIndicationNasOperatorNameOutput;

The QmiIndicationNasOperatorNameOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiIndicationNasOperatorNameOutputOperatorPlmnNameElement

    typedef struct {
        QmiNasPlmnEncodingScheme name_encoding;
        QmiNasPlmnNameCountryInitials short_country_initials;
        QmiNasPlmnNameSpareBits long_name_spare_bits;
        QmiNasPlmnNameSpareBits short_name_spare_bits;
        GArray *long_name;
        GArray *short_name;
    } QmiIndicationNasOperatorNameOutputOperatorPlmnNameElement;

A QmiIndicationNasOperatorNameOutputOperatorPlmnNameElement struct.

#### Members

QmiNasPlmnEncodingScheme `name_encoding`; | a QmiNasPlmnEncodingScheme. |
QmiNasPlmnNameCountryInitials `short_country_initials`; | a QmiNasPlmnNameCountryInitials. |
QmiNasPlmnNameSpareBits `long_name_spare_bits`; | a QmiNasPlmnNameSpareBits. |
QmiNasPlmnNameSpareBits `short_name_spare_bits`; | a QmiNasPlmnNameSpareBits. |
GArray *`long_name`; | a GArray of guint8 elements. |
GArray *`short_name`; | a GArray of guint8 elements. |

Since: 1.18

### QmiIndicationNasOperatorNameOutputOperatorPlmnListElement

    typedef struct {
        gchar *mcc;
        gchar *mnc;
        guint16 lac1;
        guint16 lac2;
        guint8 plmn_name_record_identifier;
    } QmiIndicationNasOperatorNameOutputOperatorPlmnListElement;

A QmiIndicationNasOperatorNameOutputOperatorPlmnListElement struct.

#### Members

gchar *`mcc`; | a string of exactly 3 characters. |
gchar *`mnc`; | a string of exactly 3 characters. |
guint16 `lac1`; | a guint16. |
guint16 `lac2`; | a guint16. |
guint8 `plmn_name_record_identifier`; | a guint8. |

Since: 1.18